summaryrefslogtreecommitdiff
path: root/mythfront
diff options
context:
space:
mode:
Diffstat (limited to 'mythfront')
-rw-r--r--mythfront/mythfront-config.oe15
-rw-r--r--mythfront/mythfront-config/tftp.sh16
-rw-r--r--mythfront/mythfront-session.oe9
3 files changed, 40 insertions, 0 deletions
diff --git a/mythfront/mythfront-config.oe b/mythfront/mythfront-config.oe
index e69de29bb2..38bea68cd5 100644
--- a/mythfront/mythfront-config.oe
+++ b/mythfront/mythfront-config.oe
@@ -0,0 +1,15 @@
+PV = "1.1"
+
+SRC_URI = "file://tftp.sh"
+
+do_install() {
+ install -d ${D}/etc/udhcpc.d/
+ install ${WORKDIR}/tftp.sh ${D}/etc/udhcpc.d/80tftp
+
+ install -d ${D}/etc/mythtv
+ ln -sf /var/lib/config/mysql.txt ${D}/etc/mythtv
+
+ install -d ${D}/etc/X11
+ ln -sf /var/lib/config/xorg.conf ${D}/etc/X11
+}
+
diff --git a/mythfront/mythfront-config/tftp.sh b/mythfront/mythfront-config/tftp.sh
index e69de29bb2..f6df424a9f 100644
--- a/mythfront/mythfront-config/tftp.sh
+++ b/mythfront/mythfront-config/tftp.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+bootdir=`dirname $boot_file`
+
+files="mysql.txt xorg.conf"
+
+mkdir /var/lib/config
+cd /var/lib/config
+
+for fn in $files; do
+ if ! tftp -g $serverid -r $bootdir/mythfront/$ip/$fn -l $fn; then
+ if ! tftp -g $serverid -r $bootdir/mythfront/default/$fn -l $fn; then
+ rm -f $fn
+ fi
+ fi
+done
diff --git a/mythfront/mythfront-session.oe b/mythfront/mythfront-session.oe
index e69de29bb2..a8ab663db7 100644
--- a/mythfront/mythfront-session.oe
+++ b/mythfront/mythfront-session.oe
@@ -0,0 +1,9 @@
+PV = "1.1"
+
+SRC_URI = "file://mythfront.sh"
+
+do_install() {
+ install -d ${D}/etc/X11/Xinit.d
+ install ${WORKDIR}/mythfront.sh ${D}/etc/X11/Xinit.d/90mythfront
+}
+